import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { IDataSource } from '../../dataSources/index';
import { IDataPager } from '../dataPager/dataPager.service';
import { CardContainerComponent } from '../../cardContainer';
export declare const defaultVisiblePageCount: number;
export declare class PagerComponent<T> implements OnInit {
    pageCount: number;
    visiblePageCount: number;
    cardContainer: CardContainerComponent<T>;
    pager: IDataPager;
    dataSource: IDataSource<any>;
    constructor(cardContainer: CardContainerComponent<T>);
    readonly lastPage$: Observable<number>;
    readonly canGoBack$: Observable<boolean>;
    readonly canGoForward$: Observable<boolean>;
    readonly pages$: Observable<number[]>;
    isCurrent(page: number): Observable<boolean>;
    ngOnInit(): void;
    first(): void;
    previous(): void;
    goto(page: number): void;
    next(): void;
    last(): void;
}
